Subject: bug#79042: 29.4; dired-get-marked-files docstring is incorrect

From: Sean McAfee <[email-masked]>
Date: Fri, 18 Jul 2025 12:01:20 -0700

On Fri, Jul 18, 2025 at 9:27 AM Drew Adams <[email-masked]> wrote:

> >> It's not a doc bug, it's a product bug - a regression
> >> introduced in Emacs 29.  In prior versions it works
> >> as the doc says: (dired-get-marked-files nil 'marked)
> >> returns the file name on the current line.
> >
> > Wait, so dired-get-marked-files isn't supposed to be able to
> > distinguish between a single explicitly marked file and no files
> > being marked?  But that's information that I need.
> > How do I get it, if not with dired-get-marked-files?
>
> Mea culpa.  I shouldn't have said the Emacs 29+ behavior
> of recognizing a special `marked' value for ARG is a bug.
> (It's maybe not the best way to allow that behavior, but
> it's OK.)
>

I understood, I'm just astonished that the current behavior is
considered a bug, since it seems so useful.  Is there a
compelling reason not to allow dired-get-marked-files to
return nil when no files are explicitly marked, when it's
given a special distinguished value for ARG?  It's a
pattern that's used in many other places.